summaryrefslogtreecommitdiffstats
path: root/multimedia/filebot
diff options
context:
space:
mode:
author Jeremy Hansen2016-12-28 12:13:24 +0100
committer Willy Sudiarto Raharjo2016-12-31 02:22:11 +0100
commitb37378256cd9a5092511ed59df436c4590500760 (patch)
tree0525ca5d203e5bfab502fcb399d3e9c90eaa9174 /multimedia/filebot
parent0c69abab35d14280798df227599e27e202b73c1d (diff)
downloadslackbuilds-b37378256cd9a5092511ed59df436c4590500760.tar.gz
multimedia/filebot: Added (The ultimate TV and Movie Renamer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/filebot')
-rw-r--r--multimedia/filebot/README10
-rw-r--r--multimedia/filebot/filebot.SlackBuild89
-rw-r--r--multimedia/filebot/filebot.info10
-rw-r--r--multimedia/filebot/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/multimedia/filebot/README b/multimedia/filebot/README
new file mode 100644
index 0000000000..c69c9b9950
--- /dev/null
+++ b/multimedia/filebot/README
@@ -0,0 +1,10 @@
+filebot (The ultimate TV and Movie Renamer)
+
+FileBot is the ultimate tool for organizing and renaming your movies,
+tv shows, anime, and music, as well as downloading subtitles and
+artwork. It's smart and just works.
+
+Many examples of renaming conventions, including automating renaming,
+can be found on their website and forum.
+
+If desired, openjdk can be substituted for jdk.
diff --git a/multimedia/filebot/filebot.SlackBuild b/multimedia/filebot/filebot.SlackBuild
new file mode 100644
index 0000000000..88932f135a
--- /dev/null
+++ b/multimedia/filebot/filebot.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for filebot
+#
+# Copyright 2016 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=filebot
+VERSION=${VERSION:-4.7.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_${DEBARCH}.deb data.tar.xz | unxz | tar xv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Create launcher file in /usr/bin/
+mkdir -p $PKG/usr/bin/
+cat << EOF > $PKG/usr/bin/filebot
+#!/bin/bash
+#
+# Launcher for FileBot
+
+/usr/share/filebot/filebot.sh "$@"
+EOF
+chmod 0755 $PKG/usr/bin/filebot
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/filebot/filebot.info b/multimedia/filebot/filebot.info
new file mode 100644
index 0000000000..9611712487
--- /dev/null
+++ b/multimedia/filebot/filebot.info
@@ -0,0 +1,10 @@
+PRGNAM="filebot"
+VERSION="4.7.2"
+HOMEPAGE="https://www.filebot.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/filebot/filebot/FileBot_4.7.5/filebot_4.7.5_i386.deb"
+MD5SUM="affac2a62da99bf661bef97a4ba40735"
+DOWNLOAD_x86_64="http://downloads.sourceforge.net/project/filebot/filebot/FileBot_4.7.5/filebot_4.7.5_amd64.deb"
+MD5SUM_x86_64="c7c96477f183ba6b2d7b7a84f8abb0b5"
+REQUIRES="jdk chromaprint libmediainfo"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/multimedia/filebot/slack-desc b/multimedia/filebot/slack-desc
new file mode 100644
index 0000000000..b999eebc00
--- /dev/null
+++ b/multimedia/filebot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+filebot: filebot (The ultimate TV and Movie Renamer)
+filebot:
+filebot: FileBot is the ultimate tool for organizing and renaming your movies,
+filebot: tv shows, anime, and music, as well as downloading subtitles and
+filebot: artwork. It's smart and just works.
+filebot:
+filebot: Many examples of renaming conventions, including automating renaming,
+filebot: can be found on their website and forum.
+filebot:
+filebot: Homepage: http://www.filebot.net/
+filebot: